/*
 * This Java source file was generated by the Gradle 'init' task.
 */
import java.math.BigInteger;

package Prog2;

import java.util.Scanner;
public class FactorialRecursia {
	public static BigInteger factorialrecursia(int a){
		if (a==1){
			return BigInteger.ONE;
		}
		return BigInteger.valueOf(a).multiply(factorialrecursia(a-1));
	}
	public static void main(String[] args){
		Scanner scanner =  new Scanner(System.in);
		int a;
		System.out.println("Введите число для вычисления факториала: ");
		a = scanner.nextInt();
		System.out.println(factoriarecursia(a));
	}
}
